import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusUserCar } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-12-02 16:56
 */
interface BusUserCarCU extends ConditionUtil<BusUserCarCU> {
    ID: FieldUtil<BusUserCarCU>;
    USER_ID: FieldUtil<BusUserCarCU>;
    CAR_PLATE_NUM: FieldUtil<BusUserCarCU>;
    TYPE: FieldUtil<BusUserCarCU>;
    CREATE_TIME: FieldUtil<BusUserCarCU>;
    UPDATE_TIME: FieldUtil<BusUserCarCU>;
}
declare class BusUserCarMU extends TableUtilImpl<BusUserCarCU, BusUserCar> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusUserCarCU;
    static get ID(): FieldUtil<BusUserCarCU>;
    static get USER_ID(): FieldUtil<BusUserCarCU>;
    static get CAR_PLATE_NUM(): FieldUtil<BusUserCarCU>;
    static get TYPE(): FieldUtil<BusUserCarCU>;
    static get CREATE_TIME(): FieldUtil<BusUserCarCU>;
    static get UPDATE_TIME(): FieldUtil<BusUserCarCU>;
    get ID(): FieldUtil<BusUserCarCU>;
    get USER_ID(): FieldUtil<BusUserCarCU>;
    get CAR_PLATE_NUM(): FieldUtil<BusUserCarCU>;
    get TYPE(): FieldUtil<BusUserCarCU>;
    get CREATE_TIME(): FieldUtil<BusUserCarCU>;
    get UPDATE_TIME(): FieldUtil<BusUserCarCU>;
}
export { BusUserCarMU, BusUserCarCU };
